Download it now!
Bug 112131 - Unable to modify hyperlink target in document
Summary: Unable to modify hyperlink target in document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Hyperlink-Dialog
  Show dependency treegraph
 
Reported: 2017-08-31 07:52 UTC by Yousuf Philips (jay) (retired)
Modified: 2020-09-01 04:01 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
sample (9.20 KB, application/vnd.oasis.opendocument.graphics)
2017-08-31 07:52 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-08-31 07:52:26 UTC
Created attachment 135895 [details]
sample

Steps:
1. Open attached doc
2. Enable design mode in View > Toolbars > Form Controls
3. Select the button on page 1
4. Insert > Hyperlink to edit the hyperlink button
5. Notice that target in document is set to 'Slide 2'
6. Edit the text field to change it to 'Slide 3' or target in document button to the right of the text field to open up the target in document window and select 'Slide 3' and press apply button and then close button
7. Click the OK button or the apply button and then the OK button
8. Reopen the hyperlink dialog with Insert > Hyperlink and notice the change wasnt saved.

Version: 6.0.0.0.alpha0+
Build ID: 0e35b7738d9f276c0566df0f2cc0f1eed7900d6c
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Timur 2017-08-31 14:31:23 UTC
Modifying simple hyperlink seems to work. So it looks like problem is with changing hyperlink in design mode, with either document or internet hyperlink.
Comment 2 Yousuf Philips (jay) (retired) 2017-08-31 14:52:00 UTC
(In reply to Timur from comment #1)
> Modifying simple hyperlink seems to work. So it looks like problem is with
> changing hyperlink in design mode, with either document or internet
> hyperlink.

You only need to activate design mode after saving a file, but with a blank document design mode is already on.
Comment 3 QA Administrators 2018-09-01 02:41:39 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2020-09-01 04:01:27 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug